cleanup-info(8)

NAMN
cleanup-info - städa upp oredan som en felaktig install-info kan ha skapat

SYNOPS
cleanup-info [flaggor] [--] [katalog]

BESKRIVNING
cleanup-info är ett Perlskript som försöker städa upp den oreda en felaktig install-info(8) kan ha skapat. Den samlar alla sektioner med samma rubrik till en och samma. Den försöker vara smart vad gäller stora och små bokstäver och avslutande kolontecken/blanksteg.
Annat som städas upp är att tomma sektioner tas bort och att blanka rader (endast i posterna) trycks ihop.

Ordningen mellan sektionerna bevaras (den först upptäckta sektionen gäller). Ordningen mellan posterna i en sektion bevaras.

Var extremt försiktigt när du använder det här verktyget - det kanske inte är 100 % säkert. cleanup-info försöker vara försiktigt med din info-katalogfil, men bara fram tills att det skriver till den. Du bör säkerhetskopiera filen innan du använder skriptet.

FLAGGOR

--unsafe
    Ställer in ytterligare några antagligen användbara flaggor.
    Varning: flaggar "--unsafe" kan skriva sönder en annars korrekt fil!

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FILER

/usr/info/dir eller <katalog>/dir
    Info-katalogfilen. Låsfilen heter detsamma, med ändelsen ".lock".

PROGRAMFEL
Antagligen flera.

SE ÄVEN
install-info(8), info(1).

FÖRFATTARE
Upphovsrättsskyddat © 1996 Kim-Minh Kaplan

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN GARANTI.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.